'use strict';
var connection = require('./connection');
var PIDS = require('./pids/pid');
exports.PIDS = PIDS;
var log_1 = require('./log');
var log = log_1["default"]();
// Export all PIDS classes so they can be passed to an ECUPoller
// Just export the vanilla ECUPoller class
var poller_1 = require('./poller');
exports.ECUPoller = poller_1.ECUPoller;
// Interfaces
/**
 * Initialises this module for usage (no shit - right?)
 * @param  {Object}   opts
 * @return {Promise}
 */
function init(connectorFn) {
    log('initialising obd-parser');
    // Expose the connection we've been passed
    connection.setConnectorFn(connectorFn);
    // Call this to get a connection error/success now rather than later
    return connection.getConnection()
        .then(onInitialiseSuccess);
    function onInitialiseSuccess() {
        log('initialised successfully');
    }
}
exports.init = init;
;
